﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace FileSize
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnSelectFile_Click(object sender, EventArgs e)
        {
            if(openFileDialog1.ShowDialog()==DialogResult.OK)
            {
                string info = "";
                
                txtFilePath.Text = openFileDialog1.FileName;
                FileInfo file = new FileInfo(txtFilePath.Text);
                info += "File: " + Path.GetFileName(txtFilePath.Text);
                info += Environment.NewLine;
                info += "File Size: " + GetFileSize((int)file.Length);
                lblFileSizeDisply.Text = info;
                lblFileSizeDisply.Refresh();
            }
        }

        //=== Method ====
        private string GetFileSize(double byteCount)
        {
            string size = "0 Bytes";
            if (byteCount >= 1073741824.0)
                size = String.Format("{0:##.##}", byteCount / 1073741824.0) + " GB";
            else if(byteCount>=1048576.0)
                size = String.Format("{0:##.##}", byteCount / 1048576.0) + " MB";
            else if (byteCount >= 1024.0)
                size = String.Format("{0:##.##}", byteCount / 1024.0) + " KB";
            else if (byteCount >0 && byteCount<1024.0)
                size = byteCount.ToString()+ " Bytes";
            return size;
        }

        private void linTutorial_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            System.Diagnostics.Process.Start("");
        }

        private void linkUKAcademe_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            System.Diagnostics.Process.Start("");
        }
    }
}
